glob_t Struct Reference

`#include <rpmio/glob.h>`

## Data Fields

__size_t | gl_pathc
char ** | gl_pathv
__size_t | gl_offs
int | gl_flags
void(* | gl_closedir )()
struct dirent *(* | gl_readdir )()
char *(* | gl_opendir )()
int(* | gl_lstat )()
int(* | gl_stat )()

## Detailed Description

Definition at line 117 of file glob.h.

## Field Documentation

void(* glob_t::gl_closedir)()

Definition at line 126 of file glob.h.

Referenced by glob(), Glob(), and glob_in_dir().

int glob_t::gl_flags

Definition at line 122 of file glob.h.

Referenced by glob(), and glob_in_dir().

int(* glob_t::gl_lstat)()

Definition at line 132 of file glob.h.

Referenced by glob(), and Glob().

__size_t glob_t::gl_offs

Definition at line 121 of file glob.h.

Referenced by glob(), and glob_in_dir().

char*(* glob_t::gl_opendir)()

Definition at line 130 of file glob.h.

Referenced by glob(), Glob(), and glob_in_dir().

__size_t glob_t::gl_pathc

Definition at line 119 of file glob.h.

Referenced by glob(), glob_in_dir(), globfree(), and rpmGlob().

char** glob_t::gl_pathv

Definition at line 120 of file glob.h.

Referenced by glob(), glob_in_dir(), globfree(), and rpmGlob().

struct dirent*(* glob_t::gl_readdir)()

read

Definition at line 128 of file glob.h.

Referenced by glob(), Glob(), and glob_in_dir().

int(* glob_t::gl_stat)()

Definition at line 134 of file glob.h.

Referenced by glob(), Glob(), and glob_in_dir().

The documentation for this struct was generated from the following file:

- rpmio/glob.h